Bug 1278488 - UDF jar not referenced in exported dynamic VDB
UDF jar not referenced in exported dynamic VDB
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Barry LaFond
Andrej Smigala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 10:27 EST by Andrej Smigala
Modified: 2016-09-27 10:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:30:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2713 Major Open UDF jar not referenced in exported dynamic VDB 2017-12-05 23:10 EST

  None (edit)
Description Andrej Smigala 2015-11-05 10:27:38 EST
When exporting a VDB with a User Defined Function, the information about the UDF jar is not present in the resulting dynamic VDB file.

With regular VDB archives, the UDF jar is added to the lib/ directory within the archive and is referenced like so in META-INF/vdb.xml:

   <entry path="/lib/MyTestUdf-1.0-SNAPSHOT.jar">

        <property name="checksum" value="2689317444"/>

    </entry>

This approach is not possible in case of dynamic VDB defined only as an xml file. It is, however, possible to create a module on the server with UDF jar and then reference it in the *-vdb.xml like so:

 <property name ="lib" value ="mytestudf-module"></property>

It is currently possible to define such property manually in the VDB editor before exporting, but Designer should be able to define one automatically, or at least warn the user when there is a UDF jar present and the lib property is not defined.
Comment 2 Barry LaFond 2015-11-10 10:38:05 EST
Need to add some checks and warnings for import/export dynamic VDBs
Comment 3 Barry LaFond 2015-12-07 08:30:24 EST
Using only JIRA now.  Marking as closed
Comment 4 JBoss JIRA Server 2016-01-22 11:38:04 EST
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2713 to Coding In Progress
Comment 5 JBoss JIRA Server 2016-09-27 10:19:54 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2713 to Open

Note You need to log in before you can comment on or make changes to this bug.